|
From: Tapio V. <aa...@us...> - 2009-12-02 13:37:45
|
Module: web
Branch: master
Commit: 445a1bc650b1760dc1caf9a2f3b5561a9b9001f8
Author: Tapio Vierros <tap...@gm...>
Date: Wed Dec 2 15:36:38 2009 +0200
Updated deploy.sh to Git.
---
htdocs-source/deploy.sh | 13 ++++++-------
1 files changed, 6 insertions(+), 7 deletions(-)
diff --git a/htdocs-source/deploy.sh b/htdocs-source/deploy.sh
index 3029f23..ec8aa55 100644
--- a/htdocs-source/deploy.sh
+++ b/htdocs-source/deploy.sh
@@ -1,18 +1,17 @@
#/bin/sh
-SVNPATH=~/ultrastar-ng
-SITEPATH=/home/groups/u/ul/ultrastar-ng/htdocs
+GITPATH=~/src/performous-web
+SITEPATH=~/public_html/performous
-echo ">>> Updating the SVN repository"
-svn up ${SVNPATH} || exit 1
+echo ">>> Updating the GIT repository"
+git pull ${GITPATH} master || exit 1
echo ">>> Rebuilding and installing the website"
TEMPPATH=`mktemp -d`
-svn export ${SVNPATH}/htdocs ${TEMPPATH}/htdocs &&
-${SVNPATH}/webconv/webconv-x86-linux.bin ${SVNPATH}/htdocs-source ${TEMPPATH}/htdocs &&
+${GITPATH}/webconv/webconv-x86-linux.bin ${GITPATH}/htdocs-source ${TEMPPATH} &&
rm -rf ${SITEPATH} &&
-mv ${TEMPPATH}/htdocs ${SITEPATH} &&
+mv ${TEMPPATH} ${SITEPATH} &&
echo ">>> INSTALLATION SUCCESSFUL" ||
echo "-!- INSTALLATION FAILED"
|